      USE IFQWIN
      INTEGER(4) KM result i i4 KL,IBACKCOLOR,ITEXTCOLOR
      INTEGER*2 MODE TITLE rows,DIS,CURC
      integer*4 irow, rowmoves, pagesize, unit, hWnd
      character*1 ch
      integer istat
      TYPE (windowconfig) wc
      TYPE(qwinfo) wci     ! this was commented out before 9/3/15  not sue what it does
      TYPE(rccoord) rc
      TYPE (QWINFO) winfo
      RECORD /qwinfo/ qw
      LOGICAL status /.FALSE./
      LOGICAL TEST
c 
      unit=0
      OPEN (unit, FILE='USER')
      wc%numtextcols = -1
      wc%numtextrows = 180  ! sets the number of scrollable rows in a window
      wc%numcolors   = -1
      wc%title= "Test Issue"C         
      wc%fontsize = Z'000C000F'   ! 0009000E 0009 IS THE TEXT HEIGHT(HEX) 9
      !                                      000E IS THE TEXT WIDTH(HEX)  14                            
      wc%mode = QWIN$SCROLLDOWN   ! stay on bottom row of window 
      status = SETWINDOWCONFIG(wc)  ! attempt to set configuration with above values 
         ! if attempt fails, set with system estimated values
      if (.NOT.status)status = SETWINDOWCONFIG(wc)      
!     set page frame
      qw.type = QWIN$SET
       qw.w = 945
       qw.h = 800
      i4 = setwsizeqq(QWIN$FRAMEWINDOW, qw)
!*******************************************************************************
!                      SET CHILD WINDOW SIZE 
!*******************************************************************************
      winfo.TYPE = QWIN$SET
      CALL CLEARSCREEN($GCLEARSCREEN)
      winfo.x  =0
      winfo.y  =0
      winfo.W    = 82
      winfo.H    = 49
      result  = SETWSIZEQQ(unit,winfo)
!*******************************************************************************
!            Turn on Cursor
      DIS = DISPLAYCURSOR($GCURSORON)
      CURC = settextcursor(Z'0801')
!      'Setting text cursor to wide and low.'
!*******************************************************************************
!           SET COLORS          !TEAL 808000
C                              !TEAL 808000 - LIGHT BLUE A56E3A
C     IBACKCOLOR = Z'8B0000'   ! DARK Blue 8B0000  
      IBACKCOLOR = Z'A56E3A'   ! LIGHT BLUE           
      ITEXTCOLOR = Z'FFFFFF'      !    BRIGHT White
!
      KM = SETBKCOLORRGB(IBACKCOLOR) !SET BACKGROUND COLOR
      KL = SETTEXTCOLORRGB(ITEXTCOLOR) !SET FONTS
      CALL CLEARSCREEN($GCLEARSCREEN)
C***********************************************************************
C                START READING FILES AND CALCULATING
C***********************************************************************
      CALL CLEARSCREEN($GCLEARSCREEN)
C      
* START OF DATA INPUT SECTION***********************************
      DO 6 I=1,60
4     WRITE(0,5)
5     FORMAT(/, '         Hello World ',\)
6     CONTINUE
      write(0,7)
7     format(/,'          Last Line - Hit return now ',\)      
      C = ' ' ! stop the output
      READ(0,8)C
8     FORMAT(A10)
      result = setexitqq(QWIN$EXITNOPERSIST)
      END
